Bug 59616 - lang.sh should unset variable 'sourced'
lang.sh should unset variable 'sourced'
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 06:30 EST by Need Real Name
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 06:30:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-11 06:30:29 EST
Description of Problem:
Logging into a host with SHELL=/bin/bash, variable 'sourced' is always set.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. logging in.
2. type 'echo $sourced'
3. returns 1 or 0

Actual Results:


Expected Results:
returns (null)

Additional Information:
	
--- lang.sh.XXX Thu Feb  7 18:45:35 2002
+++ lang.sh     Mon Feb 11 20:14:35 2002
@@ -59,3 +59,4 @@

     unset SYSFONTACM SYSFONT
 fi
+unset sourced
Comment 1 Bill Nottingham 2002-02-25 12:44:33 EST
Will be fixed in 6.54-1; thanks!

Note You need to log in before you can comment on or make changes to this bug.